Package de.willuhn.jameica.hbci.server

# Class DauerauftragUtil

java.lang.Object
de.willuhn.jameica.hbci.server.DauerauftragUtil

public class DauerauftragUtil extends Object
Hilfsklasse zum Berechnen von Zahlungsstroemen bei Dauerauftraegen.

## Constructor Summary

Constructors
Constructor
Description
`DauerauftragUtil()`

## Method Summary

Modifier and Type
Method
Description
`static List<Date>`
`getTermine(BaseDauerauftrag t, Date from, Date to)`
Prueft, ob der Dauerauftrag im genannten Zeitraum ausgefuehrt wird oder wurde.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DauerauftragUtil

public DauerauftragUtil()

## Method Details

### getTermine

public static List<Date> getTermine(BaseDauerauftrag t, Date from, Date to) throws RemoteException
Prueft, ob der Dauerauftrag im genannten Zeitraum ausgefuehrt wird oder wurde.

Parameters:
  `t` - der Dauerauftrag.
  `from` - Start-Datum.
  `to` - End-Datum.
Returns:
  die Termine, zu denen der Auftrag im angegebenen Zeitraum ausgefuehrt wird.
Throws:
  `RemoteException`